> ## Name

> cgGetMatrixParameter - gets the values from a matrix parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     /* TYPE is int, float, or double */

>     void cgGetMatrixParameter{ifd}{rc}( CGparameter param,
>                                         TYPE * matrix );

> ## Parameters

> param
>   The parameter from which the values will be returned.
> matrix
>   An array of values into which the parameter's value will be written. The array must have size equal to the number of rows in the matrix times the number of columns in the matrix.

> ## Return Values

> None.

> ## Description

> The cgGetMatrixParameter functions retrieve the value of a given matrix parameter. The functions are available in various combinations.

> There are versions of each function that take int, float or double values signified by the i, f or d in the function name.

> There are versions of each function that specify the order in which matrix values should be written to the array. Row-major copying is indicated by r, while column-major is indicated by c.

> ## Examples

> to-be-written

> ## Errors

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> The cgGetMatrixParameter functions were introduced in Cg 1.4.

> ## See Also

> cgGetParameterRows, cgGetParameterColumns, cgGetMatrixParameterOrder, cgGetParameterValues